Increase limit of entries in json/xml and, preferably, make it configurable
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Currently there is a limit on how many entries could be returned by JSON/XML API in one batch - 100 entries. This limit is hardcoded

in Redmine core. Such a low limit makes requests to Redmine to be affected by RTT + it could put more load on DB.

The question is why this limit it not set to at least 500 (the default value for number of entries exported via CSV export API). Could

this limit be made configurable just like for CSV?

Related issues:

Related to Redmine - Patch #16069: Allow configuration of API limit instead o... New

History

#1 - 2023-01-18 20:44 - Mike B

Yes, I agree, it would be great if it is possible to configure this value via GUI instead of be hardcoded in core code.

What is the reason to hardcode this value especially for JSON output?

#2 - 2023-01-21 08:56 - Go MAEDA

- Related to Patch #16069: Allow configuration of API limit instead of hardcoding at 100 added

#3 - 2023-01-21 08:56 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #16069.
